player_msghdr Struct Reference
Address structures

Generic message header. More...

`#include <player.h>`

## Public Attributes

player_devaddr_t | addr
| Device to which this message pertains.
uint8_t | type
| Message type; must be one of PLAYER_MSGTYPE_*.
uint8_t | subtype
| Message subtype; interface specific.
double | timestamp
| Time associated with message contents (seconds since epoch)
uint32_t | seq
| For keeping track of associated messages. More...
uint32_t | size
| Size in bytes of the payload to follow.

## Detailed Description

Generic message header.

Every message starts with this header.

## Member Data Documentation

uint32_t player_msghdr::seq

For keeping track of associated messages.

Transport-specific.

The documentation for this struct was generated from the following file:

- player.h

Last updated 12 September 2005 21:38:45